#include "xd3dbasetexture.h"

XD3DBaseTexture::XD3DBaseTexture()
    : XAsset()
    , mMipFlush(0)
    , mFormat()
    , mResource()
{
    
}

XD3DBaseTexture::~XD3DBaseTexture()
{

}

void XD3DBaseTexture::ParseData(QDataStream *aStream)
{
    
}

void XD3DBaseTexture::Clear()
{
    mMipFlush = 0;
    mFormat.Clear();
    mResource.Clear();
}
